Package org.eclipse.net4j.util.ui.views

## Class ContainerItemProvider.SlowElement

- java.lang.Object
- - org.eclipse.net4j.util.ui.views.ContainerItemProvider.SlowElement

- Direct Known Subclasses:
    `ContainerItemProvider.LazyElement`
  Enclosing class:
    ContainerItemProvider<CONTAINER extends IContainer<java.lang.Object>>

      public static class ContainerItemProvider.SlowElement
      extends java.lang.Object

  Since:
    3.5
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SlowElement​(IContainer<java.lang.Object> container, java.lang.String text)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IContainer<java.lang.Object>` | `getContainer()` |
    `java.lang.String` | `getText()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SlowElement

          public SlowElement​(IContainer<java.lang.Object> container,
                             java.lang.String text)

  - ### Method Detail

    - #### getContainer

          public final IContainer<java.lang.Object> getContainer()

    - #### getText

          public final java.lang.String getText()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`